<template>
  <v-row>
    <v-col>
      <v-list>
        <v-list-group
          v-for="item in items"
          :key="item.title"
          v-model="item.active"
          :prepend-icon="item.action"
          no-action
        >
          <template #activator>
            <v-list-item-content>
              <v-list-item-title v-text="item.title" />
            </v-list-item-content>
            <v-list-item-action>
              <div class="labelStyle">
                {{ item.score }}
              </div>
            </v-list-item-action>
          </template>

          <v-list-item
            v-for="child in item.items"
            :key="child.title"
          >
            <v-list-item-content>
              <v-list-item-title v-text="child.title" />
            </v-list-item-content>
          </v-list-item>
        </v-list-group>
      </v-list>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'ListChart',
  props: {
    'items': { type: Array },
  },
};
</script>

<style scoped>
.labelStyle{
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  font-size: 15px;
  color: #505050;
  text-align: center;
}
</style>
